import 'package:mohem_flutter_app/theme/colors.dart';
import 'package:mohem_flutter_app/utils/navigator.dart';
import 'package:mohem_flutter_app/utils/utils.dart';
import 'package:mohem_flutter_app/widgets/show_fill_button.dart';
import 'package:mohem_flutter_app/widgets/txt.dart';
import 'package:flutter/material.dart';

class MessageDialog extends StatelessWidget {
  String? title, buttonTitle;
  VoidCallback? onClick;
  MessageDialog({this.title, this.buttonTitle,this.onClick});

  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.white,
      padding: EdgeInsets.all(30),
      child: Column(
        mainAxisSize: MainAxisSize.min,
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Txt(
            title ?? "message",
            txtType: TxtType.heading3,
          ),
          mHeight(40),
          ShowFillButton(
            title: buttonTitle ?? "Continue",
            width: double.infinity,
            onPressed: () {
              onClick!();
            },
          )
        ],
      ),
    );
  }
}
